"use strict";
const common_vendor = require("../../common/vendor.js");
if (!Math) {
  tabber();
}
const tabber = () => "../../components/tabber.js";
const _sfc_main = {
  __name: "reservation",
  setup(__props) {
    const userInfo = common_vendor.ref("");
    common_vendor.onLoad(() => {
      userInfo.value = common_vendor.index.getStorageSync("userInfo");
      if (!userInfo.value) {
        common_vendor.index.reLaunch({
          url: "/pages/index/index"
        });
      }
    });
    const goPage = (url) => {
      common_vendor.index.navigateTo({
        url
      });
    };
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: userInfo.value.identityId == 1
      }, userInfo.value.identityId == 1 ? {
        b: common_vendor.o(($event) => goPage("/pagesReservation/register/register?type=1"))
      } : {}, {
        c: userInfo.value.identityId != 1
      }, userInfo.value.identityId != 1 ? {
        d: common_vendor.o(($event) => goPage("/pagesReservation/register/register?type=2"))
      } : {});
    };
  }
};
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-9b609cd1"], ["__file", "E:/workSpace/WanZai_School_app/pagesReservation/reservation/reservation.vue"]]);
wx.createPage(MiniProgramPage);
